\usepackage[most]{tcolorbox}

\definecolor{firebrick}{rgb}{0.7, 0.13, 0.13}
\definecolor{bondiblue}{rgb}{0.0, 0.58, 0.71}
 	
\tcbset
{bmcsexstyle/.style={arc=0.5mm, colframe=bondiblue!100!white,
colback=blue!25!yellow!5!white, coltitle=white,
fonttitle=\large\sffamily\bfseries, fontupper=\small, fontlower=\small, breakable, enhanced,
listing options={style=tcblatex,texcsstyle=*\color{red!40!black}},
}}

\newtcolorbox
[auto counter,number within=chapter,list inside=bmcslist]{bmcsex}[3][]{
%
bmcsexstyle,label={#3},
squeezed title={Example \thetcbcounter: #2},
list text={#2},#1}

\newcommand{\listofexamples}[1]
{\tcblistof[\chapter*]{bmcslist}{List of examples}}


